#ifndef LOGSSORTER_H
#define LOGSSORTER_H

#include <QFileSystemWatcher>
#include <QObject>
#include "LogsSorterConfig.h"
#include "MainWindow.h"
#include "LogsHandler.h"
#include "defines.h"

class CLogsSorter : public QObject
{
    Q_OBJECT
public:
    CLogsSorter();
    int InitLogsSorter();
    int SaveSorterConfigRequest(CLogsSorterConfigData NewConfig);
    CLogsSorterConfigData * GetSorterConfigRequest();
    int AddGeneralMsgTextRequest(QString NewLine, QColor Color = Qt::black);
    int LauchManualScanRequest();


    CMainWindow mMainWindow;

    CLogsSorterConfig mSorterConfig;
    QFileSystemWatcher mDirectoryWatcher;
    CLogsHandler mLogsHandler;




};

#endif // LOGSSORTER_H
